Bug 808460 - firstboot: dialogs not reachable after clicking elsewhere
firstboot: dialogs not reachable after clicking elsewhere
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Gracik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-30 09:21 EDT by Martin Krizek
Modified: 2013-07-04 09:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 04:50:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Krizek 2012-03-30 09:21:28 EDT
Description of problem:
Run any dialog (e.g. "Create User" -> "Use Network Login") and click on the underlaying mainwindow, this causes the dialog to disapper and the mainwindow to be inactive resulting in "frozen" state of the application.

Version-Release number of selected component (if applicable):
firstboot-17.0-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run any dialog
2. Click on the underlaying mainwindow
3.
  
Actual results:
Dialog disappears and is not reachable, the main window is not active.

Expected results:
Nothing should happen basically, dialog should stay intact.

Additional info:
Comment 1 Martin Gracik 2012-04-18 04:50:49 EDT
The create user screen stays on top if you click on the underlying window. I have the control of this window, so the window behaves as a proper dialog.

But the network login is a separate gtk application (authconfig), I cannot control this behaviour because of this. You can get the window back on top with simple alt+tab.

Note You need to log in before you can comment on or make changes to this bug.